<?php

class JFormRuleSso extends JFormRule
{
    public function test(SimpleXMLElement $element, $value, $group = null, JRegistry $input = null, JForm $form = null)
    {
        if ($value == 1) {
            $api_url = trim($input->get("params")->chatwee_chatapiurl);
            $chat_id = trim($input->get("params")->chatwee_chatid);
            $api_key = trim($input->get("params")->chatwee_apikey);

            if ( $api_url == "" || $chat_id=="" || $api_key=="") {
                $element->addAttribute('message', 'API URL, Chat ID and API KEY Cannot be empty if SSO is enabled');
                return false;
            }
        }
        return true;
    }
}