<?php

class JFormRuleSsourl extends JFormRule
{
    public function test(SimpleXMLElement $element, $value, $group = null, JRegistry $input = null, JForm $form = null)
    {
        $url = trim($input->get("params")->chatwee_chatapiurl);
        if (isset($url) && $url != "")
        {
            if (filter_var($url, FILTER_VALIDATE_URL) !== false){
                return true;
            }
            $element->addAttribute('message', 'API URL is not valid');
            return false;
        }
        return true;
    }
}