<?php

class JFormRuleTag extends JFormRule
{
    public function test(SimpleXMLElement $element, $value, $group = null, JRegistry $input = null, JForm $form = null)
    {
        $exp = "/^<script src=[\'\"]?https:\/\/([a-z]+\.)?chatwee-api\.com\/(v2)?\/script\/[0-9a-f]{24}\.js[\'\"]><\/script>$/";
        $noOfMatches = preg_match_all($exp, $value);
        if ($noOfMatches == 1) {
            return true;
        } else {
            $element->addAttribute('message', 'Chatwee code invalid. Please copy and paste the script from your client chatwee');
            return false;
        }
    }
}