<?php

class JFormRuleApikey extends JFormRule
{
    public function test(SimpleXMLElement $element, $value, $group = null, JRegistry $input = null, JForm $form = null)
    {

        $chat_id = trim($input->get("params")->chatwee_chatid);
        $api_key = trim($input->get("params")->chatwee_apikey);

        if ((isset($chat_id) && $chat_id != "") && (isset($api_key) && $api_key != "")) {
            if ((strlen($chat_id) == 24) && (strlen($api_key) == 24)) {
                return true;
            }
            $element->addAttribute('message', 'The Chat ID or API key is not valid');
            return false;
        }
        return true;
    }
}